Name: libftgl
Version: 2.0.11
Release: alt1

Summary: Library for using fonts in OpenGL applications
License: LGPL/BSD-like
Group: System/Libraries
Url: http://www.wxwidgets.org/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source: ftgl-%version.tar.bz2

# Automatically added by buildreq on Mon Jan 24 2005
BuildRequires: doxygen freetype2-devel gcc-c++ hostinfo libglut-devel libstdc++-devel xorg-x11-devel xorg-x11-libs zlib-devel

%description
FTGL is a free open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org)  applications.
Unlike other OpenGL font libraries FTGL uses standard font file formats
so doesn't need a preprocessing step to convert the high quality font data
into a lesser quality, proprietary format.
FTGL uses the Freetype (www.freetype.org) font library to open and 'decode'
the fonts. It then takes that output and stores it in a format most efficient
for OpenGL rendering.

%package devel
Summary: Development files for FTGL
Group: Development/C
Requires: %name = %version

%description devel
Header files for FTGL library.

%prep
%setup -q -n FTGL

%build
pushd unix
%configure --disable-freetypetest --enable-shared --disable-static
%make_build
popd

%install
pushd unix
%makeinstall
popd

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%exclude %_bindir
%doc README.txt HISTORY.txt demo
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/FTGL
%doc %_docdir/ftgl

%changelog
* Wed Oct 13 2004 Andrey Astafiev <andrei@altlinux.ru> 2.0.11-alt1
- First build for Sisyphus.
